package org.databinding;

import java.lang.reflect.Field;

public class Binding {

	private Object model;
	private Field field;
	private String id;

	public Binding(Object model, String field, String id) {
		this.model = model;
		try {
			this.field = model.getClass().getDeclaredField(field);
		} catch (SecurityException e) {
			e.printStackTrace();
		} catch (NoSuchFieldException e) {
			e.printStackTrace();
		}
		this.id = id;
	}

	public String getId() {
		return id;
	}

	public Object getModel() {
		return model;
	}

	public Field getField() {
		return field;
	}

}